Page MenuHomePhabricator

Task doesn't get "mentioned in revision N" log record if revision comment contains "fix" or "fixed" and auto-close is off for the repository
Closed, ResolvedPublic

Description

Repro:

  • auto-close is off for the repository (svn)
  • if a revision is committed like e..g svn commit -m "changes in context of T34" T34 gets user mentioned this in rR1234
  • if a revision is committed like svn commit -m " fixed T47 task subject quoted" T47 doesn't get any record related to that revision in it's log

Event Timeline

lysy95 raised the priority of this task from to Needs Triage.
lysy95 updated the task description. (Show Details)
lysy95 added projects: Diffusion, Maniphest.
lysy95 added a subscriber: lysy95.
chad edited projects, added Transactions; removed Maniphest.Dec 17 2014, 11:35 PM
joshuaspence triaged this task as Normal priority.Jan 12 2015, 11:24 AM
joshuaspence added a subscriber: joshuaspence.
epriestley moved this task from Backlog to "Track Only" on the Diffusion board.Apr 15 2019, 3:39 PM
epriestley closed this task as Resolved.May 9 2019, 5:04 PM
epriestley claimed this task.
epriestley added a subscriber: epriestley.

My expectation is that this is effectively resolved by T13277. Since "Autoclose" is no longer a separate permission from "Publish", commits should now always mention + close or never mention + close.